Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class DefaultServiceContext

    java.lang.Object
      com.servingxml.util.system.AbstractRuntimeContext
          com.servingxml.app.ServiceContext
              com.servingxml.app.DefaultServiceContext

All Implemented Interfaces:
  RuntimeContext

    public class DefaultServiceContext

extends ServiceContext

This class implements a `ServiceContext` interface.

Constructor Summary
`DefaultServiceContext(AppContext appContext, java.lang.String user)`
`DefaultServiceContext(AppContext appContext, java.lang.String user, Logger logger)`

Method Summary
`void` | `forward(java.lang.String url)`
`AppContext` | `getAppContext()`
`java.lang.String` | `getAppName()`
`java.lang.String` | `getLang()`
`java.util.Locale` | `getLocale()`
`MutableNameTable` | `getNameTable()`
`javax.xml.transform.ErrorListener` | `getTransformerErrorListener()`
`javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory()`
`UriResolverFactory` | `getUriResolverFactory()`
`java.lang.String` | `getUser()`

Methods inherited from class com.servingxml.app.ServiceContext
`getDefault`

Methods inherited from class com.servingxml.util.system.AbstractRuntimeContext
`error, notice, printStackTrace, trace, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`error, notice, printStackTrace, trace, warning`

Constructor Detail

### DefaultServiceContext

    public DefaultServiceContext(AppContext appContext,
                                 java.lang.String user,
                                 Logger logger)

### DefaultServiceContext

    public DefaultServiceContext(AppContext appContext,
                                 java.lang.String user)

Method Detail

### getAppContext

    public AppContext getAppContext()

  Specified by:
    `getAppContext` in class `ServiceContext`

### getNameTable

    public MutableNameTable getNameTable()

  Specified by:
    `getNameTable` in class `ServiceContext`

### forward

    public void forward(java.lang.String url)

### getUser

    public java.lang.String getUser()

  Specified by:
    `getUser` in interface `RuntimeContext`
  Specified by:
    `getUser` in class `ServiceContext`

### getAppName

    public java.lang.String getAppName()

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in class `ServiceContext`

### getLang

    public java.lang.String getLang()

  Specified by:
    `getLang` in class `ServiceContext`

### getTransformerFactory

    public javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory()

  Specified by:
    `getTransformerFactory` in class `ServiceContext`

### getUriResolverFactory

    public UriResolverFactory getUriResolverFactory()

  Specified by:
    `getUriResolverFactory` in class `ServiceContext`

### getTransformerErrorListener

    public javax.xml.transform.ErrorListener getTransformerErrorListener()

  Specified by:
    `getTransformerErrorListener` in class `ServiceContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD